<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>Part IV. Writing Plugins</title><meta name="generator" content="DocBook XSL Stylesheets Vsnapshot"><link rel="home" href="index.html" title="jEdit 5.2 User's Guide"><link rel="up" href="index.html" title="jEdit 5.2 User's Guide"><link rel="prev" href="writing-macros-part.html" title="Part III. Writing Macros"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Part IV. Writing Plugins</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="writing-macros-part.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> </td></tr></table><hr></div><div class="part"><div class="titlepage"><div><div><h1 class="title"><a name="writing-plugins-part"></a>Part IV. Writing Plugins</h1></div></div></div><div class="partintro"><div></div><p>This part of the user's guide covers writing plugins for
            jEdit.</p><p>Like jEdit itself, plugins are written primarily in Java.
            While this guide assumes some working knowledge of the language, you
            are not required to be a Java wizard. If you can write a useful
            application of any size in Java, you can write a plugin. </p><p>Where applicable, this section will also explain how jEdit's
            source code is similar. Therefore, this is also a good introduction to 
            to jEdit development. </p></div><span style="color: red">&lt;xi:include&gt;&lt;/xi:include&gt;</span><span style="color: red">&lt;xi:include&gt;&lt;/xi:include&gt;</span><span style="color: red">&lt;xi:include&gt;&lt;/xi:include&gt;</span></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="writing-macros-part.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> </td></tr><tr><td width="40%" align="left" valign="top">Part III. Writing Macros </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> </td></tr></table></div></body></html>
